# 
# old_revision [c440737261d4723fbaf376f3fedca9a3bbe2d4af]
# 
# patch "file.c"
#  from [246d10a824badea01d4d21273b68c5362f379412]
#    to [409afa0c9b38019347d5f47d9f4a18612edae36e]
# 
============================================================
--- file.c	246d10a824badea01d4d21273b68c5362f379412
+++ file.c	409afa0c9b38019347d5f47d9f4a18612edae36e
@@ -184,10 +184,13 @@
 int ast_stopstream(struct ast_channel *tmp)
 {
 	/* Stop a running stream if there is one */
-	if (tmp->vstream)
+	if (tmp->vstream) {
 		ast_closestream(tmp->vstream);
+		tmp->vstream = NULL;
+	}
 	if (tmp->stream) {
 		ast_closestream(tmp->stream);
+		tmp->stream = NULL;
 		if (tmp->oldwriteformat && ast_set_write_format(tmp, tmp->oldwriteformat))
 			ast_log(LOG_WARNING, "Unable to restore format back to %d\n", tmp->oldwriteformat);
 	}
